/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// GLMeshProgress.cpp : 実装ファイル

#include "stdafx.h"
#include "fugen.h"
#include "GLMeshProgress.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CGLMeshProgress ダイアログ

IMPLEMENT_DYNAMIC(CGLMeshProgDlg, CDialog)
CGLMeshProgDlg::CGLMeshProgDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGLMeshProgDlg::IDD, pParent)
	, m_strMeshProg(_T(""))
{
}

CGLMeshProgDlg::~CGLMeshProgDlg()
{
}

void CGLMeshProgDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_MESH_PROGRESS, m_meshProg);
	DDX_Text(pDX, IDC_STATIC_PROGRESS, m_strMeshProg);
}

BEGIN_MESSAGE_MAP(CGLMeshProgDlg, CDialog)
END_MESSAGE_MAP()

void CGLMeshProgDlg::OnCancel()
{
	// ディスプレイ用のダイアログなのでユーザーの入力を受け付けない。
	// リソース編集をして、ウィンドウにバツボタンが出ないようにすること。

	DestroyWindow();
}

void CGLMeshProgDlg::OnOK(){
	// ディスプレイ用のダイアログなのでユーザーの入力を受け付けない。
}

void CGLMeshProgDlg::PostNcDestroy(){
	// モードレスダイアログ
	delete this;
}
